"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CommentCard = void 0;

var _core = require("@material-ui/core");

var _react = _interopRequireDefault(require("react"));

const useStyles = (0, _core.makeStyles)(() => (0, _core.createStyles)({
  root: {
    overflow: 'visible',
    backgroundColor: ({
      active
    }) => `${active ? 'rgb(0,0,0,0.1)' : 'rgb(0,0,0,0)'}`,
    width: '100%',
    marginBottom: '10px'
  }
}));
/**
 * Return a styled comment card component
 * @param isSelected A flag for store if comment is selected or not
 * @param onClick Function triggered on click event
 * @returns styled comment card component
 */

const CommentCard = props => {
  const classes = useStyles(props);
  return /*#__PURE__*/_react.default.createElement(_core.Card, {
    className: classes.root,
    raised: props.active,
    onClick: props.onClick
  }, props.children);
};

exports.CommentCard = CommentCard;
//# sourceMappingURL=comment-card.js.map