"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ConfirmationDialog = void 0;

var _core = require("@material-ui/core");

var _react = _interopRequireDefault(require("react"));

/**
 * Represents a confirmation dialog
 */
const ConfirmationDialog = props => {
  const handleCancel = () => props.onClose(true);

  const handleOk = () => props.onClose(false);

  return /*#__PURE__*/_react.default.createElement(_core.Dialog, {
    disableBackdropClick: true,
    disableEscapeKeyDown: true,
    maxWidth: "md",
    "aria-labelledby": "confirmation-dialog-title",
    "aria-describedby": "confirmation-dialog-description",
    open: props.isOpen
  }, /*#__PURE__*/_react.default.createElement(_core.DialogTitle, {
    id: "confirmation-dialog-title"
  }, props.dialogTitle), /*#__PURE__*/_react.default.createElement(_core.DialogContent, null, /*#__PURE__*/_react.default.createElement(_core.DialogContentText, {
    dangerouslySetInnerHTML: {
      __html: props.children
    },
    id: "confirmation-dialog-description"
  })), /*#__PURE__*/_react.default.createElement(_core.DialogActions, null, /*#__PURE__*/_react.default.createElement(_core.Button, {
    onClick: handleOk,
    variant: "contained",
    color: "primary"
  }, props.okButtonText || 'ok'), /*#__PURE__*/_react.default.createElement(_core.Button, {
    onClick: handleCancel
  }, props.cancelButtonText || 'cancel')));
};

exports.ConfirmationDialog = ConfirmationDialog;
//# sourceMappingURL=confirmation-dialog.js.map