"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DocumentViewerLoading = void 0;

var _core = require("@material-ui/core");

var _react = _interopRequireDefault(require("react"));

var _hooks = require("../hooks");

const useStyles = (0, _core.makeStyles)(() => {
  return (0, _core.createStyles)({
    mainWrapper: {
      display: 'flex',
      justifyContent: 'space-around',
      alignContent: 'center',
      alignItems: 'center',
      height: '100%'
    },
    loaderWrapper: {
      display: 'flex',
      justifyContent: 'space-between',
      alignItems: 'center',
      flexDirection: 'column',
      maxWidth: 500,
      margin: '.5em 0 .6em 0'
    },
    typography: {
      marginTop: '1rem',
      fontWeight: 'bolder'
    }
  });
});

const DocumentViewerLoading = props => {
  const classes = useStyles();
  const localization = (0, _hooks.useLocalization)();
  return /*#__PURE__*/_react.default.createElement("div", {
    className: classes.mainWrapper
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: classes.loaderWrapper
  }, /*#__PURE__*/_react.default.createElement("img", {
    src: props.image,
    alt: "Loader"
  }), /*#__PURE__*/_react.default.createElement(_core.Typography, {
    variant: "h5",
    color: "textSecondary",
    align: "center",
    className: classes.typography
  }, localization.loadingDocument)));
};

exports.DocumentViewerLoading = DocumentViewerLoading;
//# sourceMappingURL=document-viewer-loading.js.map