"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DocumentViewerRegeneratePreviews = void 0;

var _core = require("@material-ui/core");

var _react = _interopRequireWildcard(require("react"));

var _hooks = require("../hooks");

const useStyles = (0, _core.makeStyles)(() => {
  return (0, _core.createStyles)({
    mainWrapper: {
      display: 'flex',
      justifyContent: 'space-around',
      alignContent: 'center',
      alignItems: 'center',
      height: '100%'
    },
    regenerateWrapper: {
      display: 'flex',
      justifyContent: 'space-between',
      alignItems: 'center',
      flexDirection: 'column',
      maxWidth: 500,
      margin: '.5em 0 .6em 0'
    }
  });
});

const DocumentViewerRegeneratePreviews = () => {
  const classes = useStyles();
  const [isRegenerating, setIsRegenerating] = (0, _react.useState)(false);
  const localization = (0, _hooks.useLocalization)();
  const api = (0, _hooks.useDocumentViewerApi)();
  const {
    documentData,
    updateDocumentData,
    isInProgress,
    triggerReload
  } = (0, _hooks.useDocumentData)();
  /**
   * renders the component
   */

  return /*#__PURE__*/_react.default.createElement("div", {
    className: classes.mainWrapper
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: classes.regenerateWrapper
  }, /*#__PURE__*/_react.default.createElement(_core.Typography, {
    variant: "subtitle1",
    color: "textSecondary",
    align: "center",
    gutterBottom: true
  }, localization.regeneratePreviews), /*#__PURE__*/_react.default.createElement(_core.Button, {
    variant: "contained",
    disabled: isRegenerating || isInProgress,
    onClick: async () => {
      setIsRegenerating(true);
      const result = await api.regeneratePreviews({
        document: documentData,
        abortController: new AbortController()
      });
      updateDocumentData({ ...documentData,
        pageCount: result.PageCount
      });
      setIsRegenerating(false);
      triggerReload();
    }
  }, isRegenerating && /*#__PURE__*/_react.default.createElement(_core.CircularProgress, {
    size: 24,
    style: {
      marginRight: '1em'
    }
  }), localization.regenerateButton)));
};

exports.DocumentViewerRegeneratePreviews = DocumentViewerRegeneratePreviews;
//# sourceMappingURL=document-viewer-regenerate-previews.js.map