"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DocumentViewer = exports.POLLING_INTERVAL = void 0;

var _clientUtils = require("@sensenet/client-utils");

var _core = require("@material-ui/core");

var _react = _interopRequireDefault(require("react"));

var _loader = _interopRequireDefault(require("../assets/loader.gif"));

var _context = require("../context");

var _enums = require("../enums");

var _models = require("../models");

var _documentViewerError = require("./document-viewer-error");

var _documentViewerLayout = require("./document-viewer-layout");

var _documentViewerLoading = require("./document-viewer-loading");

var _documentViewerRegeneratePreviews = require("./document-viewer-regenerate-previews");

const POLLING_INTERVAL = 5000;
/**
 * Defined the component's own properties
 */

exports.POLLING_INTERVAL = POLLING_INTERVAL;

const DocumentViewer = props => {
  return /*#__PURE__*/_react.default.createElement(_context.DocumentViewerApiSettingsProvider, {
    options: props.api
  }, /*#__PURE__*/_react.default.createElement(_context.LocalizationContext.Provider, {
    value: (0, _clientUtils.deepMerge)(_context.defaultLocalization, props.localization)
  }, /*#__PURE__*/_react.default.createElement(_context.ViewerSettingsContext.Provider, {
    value: props
  }, /*#__PURE__*/_react.default.createElement(_core.MuiThemeProvider, {
    theme: props.theme || _models.defaultTheme
  }, /*#__PURE__*/_react.default.createElement(_context.DocumentDataProvider, null, /*#__PURE__*/_react.default.createElement(_context.DocumentPermissionsContextProvider, null, /*#__PURE__*/_react.default.createElement(_context.PreviewImageDataContextProvider, null, /*#__PURE__*/_react.default.createElement(_context.DocumentDataContext.Consumer, null, ({
    documentData
  }) => {
    if (documentData.pageCount === _enums.PreviewState.Loading) return /*#__PURE__*/_react.default.createElement(_documentViewerLoading.DocumentViewerLoading, {
      image: props.loaderImage || _loader.default
    });

    if (documentData.pageCount === _enums.PreviewState.Postponed) {
      return /*#__PURE__*/_react.default.createElement(_documentViewerRegeneratePreviews.DocumentViewerRegeneratePreviews, null);
    } else if (documentData.pageCount < 0 || documentData.error) {
      return /*#__PURE__*/_react.default.createElement(_documentViewerError.DocumentViewerError, null);
    }

    return /*#__PURE__*/_react.default.createElement(_context.ViewerStateProvider, {
      options: props.defaultState
    }, /*#__PURE__*/_react.default.createElement(_context.CommentStateProvider, null, /*#__PURE__*/_react.default.createElement(_context.CommentsContextProvider, null, /*#__PURE__*/_react.default.createElement(_documentViewerLayout.DocumentViewerLayout, null))));
  }))))))));
};

exports.DocumentViewer = DocumentViewer;
//# sourceMappingURL=document-viewer.js.map