"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AddRedactionWidget = void 0;

var _core = require("@material-ui/core");

var _icons = require("@material-ui/icons");

var _clsx = _interopRequireDefault(require("clsx"));

var _react = _interopRequireDefault(require("react"));

var _hooks = require("../../hooks");

var _toggleBase = require("./toggle-base");

const useStyles = (0, _core.makeStyles)(theme => {
  return (0, _core.createStyles)({
    iconButton: {},
    icon: {},
    iconActive: {
      fill: theme.palette.primary.main
    }
  });
});

/**
 * Document widget component to draw Redaction
 */
const AddRedactionWidget = props => {
  var _viewerState$rotation, _viewerState$rotation2;

  const classes = useStyles(props);
  const localization = (0, _hooks.useLocalization)();
  const viewerState = (0, _hooks.useViewerState)();
  const permissions = (0, _hooks.useDocumentPermissions)();
  const pageRotation = ((_viewerState$rotation = viewerState.rotation) === null || _viewerState$rotation === void 0 ? void 0 : (_viewerState$rotation2 = _viewerState$rotation.find(rotation => rotation.pageNum === viewerState.activePage)) === null || _viewerState$rotation2 === void 0 ? void 0 : _viewerState$rotation2.degree) || 0;
  return /*#__PURE__*/_react.default.createElement(_toggleBase.ToggleBase, {
    disabled: !permissions.canEdit || pageRotation !== 0,
    classes: classes,
    active: viewerState.activeShapePlacing === 'redaction',
    title: localization.addRedaction,
    setValue: value => viewerState.updateState({
      activeShapePlacing: value ? 'redaction' : 'none',
      isPlacingCommentMarker: false
    })
  }, /*#__PURE__*/_react.default.createElement(_icons.ChatBubbleSharp, {
    className: (0, _clsx.default)(classes.icon, {
      [classes.iconActive]: viewerState.activeShapePlacing === 'redaction'
    })
  }));
};

exports.AddRedactionWidget = AddRedactionWidget;
//# sourceMappingURL=add-redaction.js.map