"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Print = void 0;

var _core = require("@material-ui/core");

var _icons = require("@material-ui/icons");

var _react = _interopRequireDefault(require("react"));

var _hooks = require("../../hooks");

const useStyles = (0, _core.makeStyles)(() => {
  return (0, _core.createStyles)({
    iconButton: {
      display: 'inline-block'
    },
    icon: {}
  });
});

/**
 * Component that allows print
 */
const Print = props => {
  const classes = useStyles(props);
  const localization = (0, _hooks.useLocalization)();
  const {
    documentData
  } = (0, _hooks.useDocumentData)();
  return /*#__PURE__*/_react.default.createElement(_core.IconButton, {
    className: classes.iconButton,
    color: "inherit",
    title: localization.print,
    onClick: () => props.print(documentData),
    id: "Print"
  }, /*#__PURE__*/_react.default.createElement(_icons.Print, {
    className: classes.icon
  }));
};

exports.Print = Print;
//# sourceMappingURL=print-widget.js.map