"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RotateDocumentWidget = void 0;

var _core = require("@material-ui/core");

var _icons = require("@material-ui/icons");

var _react = _interopRequireDefault(require("react"));

var _hooks = require("../../hooks");

var _rotationModel = require("../../models/rotation-model");

var _rotateWidget = require("./rotate-widget");

const useStyles = (0, _core.makeStyles)(() => {
  return (0, _core.createStyles)({
    iconButton: {
      display: 'inline-block'
    },
    icon: {
      border: '2px solid',
      borderRadius: '5px'
    }
  });
});

/**
 * Component that allows document rotation
 */
const RotateDocumentWidget = props => {
  const localization = (0, _hooks.useLocalization)();
  const classes = useStyles(props);

  const button = (direction, rotateDocument) => {
    const isLeft = direction === _rotationModel.ROTATION_MODE.anticlockwise;
    return /*#__PURE__*/_react.default.createElement(_core.IconButton, {
      className: classes.iconButton,
      title: isLeft ? localization.rotateDocumentLeft : localization.rotateDocumentRight,
      onClick: isLeft ? () => rotateDocument('left') : () => rotateDocument('right'),
      id: isLeft ? 'RotateLeft' : 'RotateRight'
    }, isLeft ? /*#__PURE__*/_react.default.createElement(_icons.RotateLeft, {
      className: classes.icon
    }) : /*#__PURE__*/_react.default.createElement(_icons.RotateRight, {
      className: classes.icon
    }));
  };

  return /*#__PURE__*/_react.default.createElement(_rotateWidget.RotateWidget, {
    renderButton: button,
    mode: props.mode,
    pages: "all"
  });
};

exports.RotateDocumentWidget = RotateDocumentWidget;
//# sourceMappingURL=rotate-document.js.map