"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ToggleCommentsWidget = void 0;

var _core = require("@material-ui/core");

var _icons = require("@material-ui/icons");

var _clsx = _interopRequireDefault(require("clsx"));

var _react = _interopRequireDefault(require("react"));

var _hooks = require("../../hooks");

var _toggleBase = require("./toggle-base");

const useStyles = (0, _core.makeStyles)(theme => {
  return (0, _core.createStyles)({
    iconButton: {},
    icon: {},
    iconActive: {
      fill: theme.palette.primary.main
    }
  });
});

/**
 * Represents a comment toggler component
 */
const ToggleCommentsWidget = props => {
  const classes = useStyles(props);
  const localization = (0, _hooks.useLocalization)();
  const viewerState = (0, _hooks.useViewerState)();
  return /*#__PURE__*/_react.default.createElement(_toggleBase.ToggleBase, {
    classes: classes,
    active: viewerState.showComments,
    title: localization.toggleComments,
    setValue: v => viewerState.updateState({
      showComments: v
    })
  }, /*#__PURE__*/_react.default.createElement(_icons.Forum, {
    className: (0, _clsx.default)(classes.icon, {
      [classes.iconActive]: viewerState.showComments
    })
  }));
};

exports.ToggleCommentsWidget = ToggleCommentsWidget;
//# sourceMappingURL=toggle-comments.js.map