"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ToggleRedactionWidget = void 0;

var _core = require("@material-ui/core");

var _icons = require("@material-ui/icons");

var _clsx = _interopRequireDefault(require("clsx"));

var _react = _interopRequireDefault(require("react"));

var _hooks = require("../../hooks");

var _toggleBase = require("./toggle-base");

const useStyles = (0, _core.makeStyles)(theme => {
  return (0, _core.createStyles)({
    iconButton: {},
    icon: {},
    iconActive: {
      fill: theme.palette.primary.main
    }
  });
});

/**
 * Document widget component to toggleing redaction
 */
const ToggleRedactionWidget = props => {
  const classes = useStyles(props);
  const localization = (0, _hooks.useLocalization)();
  const viewerState = (0, _hooks.useViewerState)();
  const permissions = (0, _hooks.useDocumentPermissions)();
  return /*#__PURE__*/_react.default.createElement(_toggleBase.ToggleBase, {
    disabled: !permissions.canHideRedaction,
    classes: classes,
    active: viewerState.showRedaction,
    title: localization.toggleRedaction,
    setValue: value => viewerState.updateState({
      showRedaction: value
    })
  }, /*#__PURE__*/_react.default.createElement(_icons.PictureInPicture, {
    className: (0, _clsx.default)(classes.icon, {
      [classes.iconActive]: viewerState.showRedaction
    })
  }));
};

exports.ToggleRedactionWidget = ToggleRedactionWidget;
//# sourceMappingURL=toggle-redaction.js.map