"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ZoomInOutWidget = void 0;

var _core = require("@material-ui/core");

var _icons = require("@material-ui/icons");

var _react = _interopRequireWildcard(require("react"));

var _hooks = require("../../hooks");

const useStyles = (0, _core.makeStyles)(() => {
  return (0, _core.createStyles)({
    iconButton: {},
    icon: {}
  });
});

/**
 * Document widget component for modifying the zoom mode / level
 */
const ZoomInOutWidget = props => {
  const classes = useStyles(props);
  const localization = (0, _hooks.useLocalization)();
  const viewerState = (0, _hooks.useViewerState)();
  const zoomIn = (0, _react.useCallback)(() => {
    viewerState.updateState({
      zoomLevel: viewerState.zoomLevel + 1
    });
  }, [viewerState]);
  const zoomOut = (0, _react.useCallback)(() => {
    viewerState.updateState({
      zoomLevel: viewerState.zoomLevel - 1
    });
  }, [viewerState]);
  return /*#__PURE__*/_react.default.createElement("div", {
    style: {
      display: 'inline-block'
    }
  }, /*#__PURE__*/_react.default.createElement(_core.IconButton, {
    className: classes.iconButton,
    color: "inherit",
    onClick: zoomIn,
    title: localization.zoomIn,
    disabled: viewerState.zoomLevel >= 13
  }, /*#__PURE__*/_react.default.createElement(_icons.ZoomIn, {
    className: classes.icon
  })), /*#__PURE__*/_react.default.createElement(_core.IconButton, {
    className: classes.iconButton,
    color: "inherit",
    onClick: zoomOut,
    title: localization.zoomOut,
    disabled: viewerState.zoomLevel <= -7
  }, /*#__PURE__*/_react.default.createElement(_icons.ZoomOut, {
    className: classes.icon
  })));
};

exports.ZoomInOutWidget = ZoomInOutWidget;
//# sourceMappingURL=zoom-in-out.js.map