"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ShapeDraft = ShapeDraft;

var _core = require("@material-ui/core");

var _grey = _interopRequireDefault(require("@material-ui/core/colors/grey.js"));

var _react = _interopRequireDefault(require("react"));

const useStyles = (0, _core.makeStyles)(() => (0, _core.createStyles)({
  root: {
    top: ({
      dimensions
    }) => dimensions.top,
    left: ({
      dimensions
    }) => dimensions.left,
    width: ({
      dimensions
    }) => dimensions.width,
    height: ({
      dimensions
    }) => dimensions.height,
    position: 'absolute',
    backgroundColor: _grey.default[600],
    opacity: 0.2
  }
}));
/**
 * Return a styled shape
 * @param dimensions Shape dimensions
 * @returns styled shape
 */

function ShapeDraft({
  dimensions
}) {
  const classes = useStyles({
    dimensions
  });
  return /*#__PURE__*/_react.default.createElement("div", {
    className: classes.root,
    tabIndex: 0,
    key: `draft-${dimensions.height}-${dimensions.width}`
  });
}
//# sourceMappingURL=shape-draft.js.map