"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CommentStateProvider = exports.CommentStateContext = exports.defaultCommentState = void 0;

var _react = _interopRequireWildcard(require("react"));

const defaultCommentState = {
  setDraft: () => undefined,
  activeCommentId: undefined,
  setActiveComment: () => undefined
};
exports.defaultCommentState = defaultCommentState;
const CommentStateContext = /*#__PURE__*/(0, _react.createContext)(defaultCommentState);
exports.CommentStateContext = CommentStateContext;

const CommentStateProvider = ({
  children
}) => {
  const [draft, setDraft] = (0, _react.useState)();
  const [activeCommentId, setActiveComment] = (0, _react.useState)();
  return /*#__PURE__*/_react.default.createElement(CommentStateContext.Provider, {
    value: {
      draft,
      setDraft,
      activeCommentId,
      setActiveComment
    }
  }, children);
};

exports.CommentStateProvider = CommentStateProvider;
//# sourceMappingURL=comment-states.js.map