"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ViewerStateProvider = exports.ViewerStateContext = exports.defaultViewerState = exports.DEFAULT_ZOOM_LEVEL = void 0;

var _clientUtils = require("@sensenet/client-utils");

var _react = _interopRequireWildcard(require("react"));

const DEFAULT_ZOOM_LEVEL = 3;
exports.DEFAULT_ZOOM_LEVEL = DEFAULT_ZOOM_LEVEL;
const defaultViewerState = {
  activePage: 1,
  showWatermark: false,
  showRedaction: true,
  showShapes: true,
  showThumbnails: false,
  zoomLevel: DEFAULT_ZOOM_LEVEL,
  rotation: undefined,
  showComments: false,
  hasChanges: false,
  isPlacingCommentMarker: false,
  activeShapePlacing: 'none',
  isCreateCommentActive: false,
  pageToGo: new _clientUtils.ObservableValue({
    page: 1
  }),
  updateState: () => {}
};
exports.defaultViewerState = defaultViewerState;
const ViewerStateContext = /*#__PURE__*/(0, _react.createContext)(defaultViewerState);
exports.ViewerStateContext = ViewerStateContext;

const ViewerStateProvider = props => {
  const [state, setState] = (0, _react.useState)((0, _clientUtils.deepMerge)({ ...defaultViewerState
  }, props.options));
  (0, _react.useEffect)(() => {
    setState((0, _clientUtils.deepMerge)({ ...defaultViewerState
    }, props.options));
  }, [props.options]);
  const updateState = (0, _react.useCallback)(newState => {
    setState((0, _clientUtils.deepMerge)({ ...state
    }, newState));
  }, [state]);
  return /*#__PURE__*/_react.default.createElement(ViewerStateContext.Provider, {
    value: { ...state,
      updateState
    }
  }, props.children);
};

exports.ViewerStateProvider = ViewerStateProvider;
//# sourceMappingURL=viewer-state.js.map