"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultTheme = void 0;

var _core = require("@material-ui/core");

/**
 * The default theme
 */
const defaultTheme = (0, _core.createMuiTheme)({
  palette: {
    primary: {
      main: '#3c91f1'
    },
    secondary: {
      main: '#ff9800'
    },
    background: {
      default: '#f5f5f5',
      paper: '#fff'
    }
  },
  overrides: {
    MuiTypography: {
      h4: {
        padding: '10px',
        paddingBottom: '16px'
      }
    },
    MuiCardContent: {
      root: {
        '&:last-child': {
          paddingBottom: '16px'
        }
      }
    },
    MuiFilledInput: {
      root: {
        backgroundColor: '#fff'
      },
      multiline: {
        padding: '27px 0px 10px 10px'
      }
    },
    MuiDrawer: {
      paper: {
        backgroundColor: 'transparent'
      },
      docked: {
        backgroundColor: '#eaeaeb'
      }
    },
    MuiToolbar: {
      root: {
        backgroundColor: '#fff',
        color: '#707070'
      }
    },
    MuiButton: {
      root: {
        textTransform: 'none'
      }
    }
  }
});
exports.defaultTheme = defaultTheme;
//# sourceMappingURL=theming.js.map