import { deepMerge, ObservableValue } from '@sensenet/client-utils';
import React, { createContext, useCallback, useEffect, useState } from 'react';
export const DEFAULT_ZOOM_LEVEL = 3;
export const defaultViewerState = {
  activePage: 1,
  showWatermark: false,
  showRedaction: true,
  showShapes: true,
  showThumbnails: false,
  zoomLevel: DEFAULT_ZOOM_LEVEL,
  rotation: undefined,
  showComments: false,
  hasChanges: false,
  isPlacingCommentMarker: false,
  activeShapePlacing: 'none',
  isCreateCommentActive: false,
  pageToGo: new ObservableValue({
    page: 1
  }),
  updateState: () => {}
};
export const ViewerStateContext = /*#__PURE__*/createContext(defaultViewerState);
export const ViewerStateProvider = props => {
  const [state, setState] = useState(deepMerge({ ...defaultViewerState
  }, props.options));
  useEffect(() => {
    setState(deepMerge({ ...defaultViewerState
    }, props.options));
  }, [props.options]);
  const updateState = useCallback(newState => {
    setState(deepMerge({ ...state
    }, newState));
  }, [state]);
  return /*#__PURE__*/React.createElement(ViewerStateContext.Provider, {
    value: { ...state,
      updateState
    }
  }, props.children);
};
//# sourceMappingURL=viewer-state.js.map