import React from 'react';
declare const useStyles: (props?: any) => import("@material-ui/styles").ClassNameMap<"icon" | "iconButton" | "iconActive">;
declare type ToggleBaseClassKey = Partial<ReturnType<typeof useStyles>>;
/**
 * Properties for Toggle Base component
 */
export interface ToggleBaseProps {
    /**
     * Determines if the button is toggled
     */
    active: boolean;
    /**
     * The title property of the button
     */
    title: string;
    /**
     * Function to set the isVisible's value
     */
    setValue: (isVisible: boolean) => void;
    /**
     * Determines if the button is disabled
     */
    disabled?: boolean;
    /**
     * Styles to override
     */
    classes?: ToggleBaseClassKey;
}
/**
 * Represents a base toggle component
 */
export declare const ToggleBase: React.FunctionComponent<ToggleBaseProps>;
export {};
//# sourceMappingURL=toggle-base.d.ts.map