import { Highlight, Shapes } from '@sensenet/client-core';
import React from 'react';
declare type Props = {
    shape: Highlight;
    onDragStart: (ev: React.DragEvent<HTMLElement>) => void;
    onResized: (ev: React.MouseEvent<HTMLElement>) => void;
    dimensions: {
        top: string | number | (string & {}) | undefined;
        left: string | number | (string & {}) | undefined;
        width: string | number | (string & {}) | undefined;
        height: string | number | (string & {}) | undefined;
    };
    zoomRatio: number;
    removeShape: (shapeType: keyof Shapes, guid: string) => void;
    rotationDegree: number;
};
/**
 * Return a styled highlight component
 * @param shape Shape attributes
 * @param permissions Permissions of the current user
 * @param dimensions Shape dimensions
 * @param zoomRatio Zoom ratio
 * @param onDragStart Function triggered on drag event
 * @param onResized Function triggered on resized event
 * @param removeShape Function triggered on delete
 * @returns styled highlight component
 */
export declare const ShapeHighlight: React.FC<Props>;
export {};
//# sourceMappingURL=shape-highlight.d.ts.map